<template>
    <div :class="['container', `container--${size}`]">
        <slot></slot>
    </div>
</template>

<script>
export default {
    name: 'base-container',
    props: {
        size: {
            type: String,
            default: 'normal'
        }
    }
};
</script>

<style lang="sass">
    .container
        max-width: 1440px
        margin: 0 auto
        padding: 0 30px
        &--small
            max-width: 950px
            &-one
                max-width: 700px
        &--mini
            max-width: 460px
</style>
